/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dma.CostomEval;
import com.tofly.xrtygis.entity.Dmawarnhandle;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 异常处理信息表：TF_YWPN_DMAWARNHANDLE_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DmawarnhandleMapper extends BaseMapper<Dmawarnhandle> {

    String getHandleName(@Param("handle") String ishandle);

    String getCodeById(@Param("id") Long id);

    String getWarnTypeName(@Param("warnType") String warnType);

    Map analyze(@Param("start") Date startDate, @Param("end") Date endDate, @Param("type") String type);

    IPage<Map> getResultEval(Page page, @Param("eval") CostomEval costomEval);

    List<Map> getResultEvalNotPage(@Param("eval")CostomEval costomEval);
}
